Name: H5Pget_class_name
Purpose:
  Retrieves the name of a class.
Signature:
  char * `H5Pget_class_name`( hid_t `pcid` )
Description:
  `H5Pget_class_name` retrieves the name of a generic property list class. The pointer to the name must be freed by the user after each successful call.
Parameters:

hid_t `pcid` | IN: Identifier of the property class to query

Returns:
  Success: a pointer to an allocated string containing the class name
  Failure: NULL
Fortran90 Interface: h5pget_class_name_f

      SUBROUTINE h5pget_class_name_f(prp_id, name, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id     ! Property list identifier to
                                                 ! query
        CHARACTER(LEN=*), INTENT(INOUT) :: name  ! Buffer to retrieve class name
        INTEGER, INTENT(OUT) :: hdferr           ! Error code, possible values:
                                                 ! Success:  Actual length of the
                                                 ! class name
                                                 ! If provided buffer "name" is
                                                 ! smaller, than name will be
                                                 ! truncated to fit into
                                                 ! provided user buffer
                                                 ! Failure: -1
      END SUBROUTINE h5pget_class_name_f